gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object To be added To be added
- Constructor
  2.12.0.0
  To be added
  To be added
- Method
  2.12.0.0
  System.Void `` `` a the timestamp for this operation. Aborts a drag without dropping. To be added
- Method
  2.12.0.0
  System.Void `` `` a the timestamp for this operation. Drops on the current destination. To be added
- Method
  2.12.0.0
  System.Boolean `` a To be added a To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` a a window which may be at the pointer position, but should be ignored, since it is put up by the drag source as an icon. the x position of the pointer in root coordinates. the y position of the pointer in root coordinates. location to store the destination window in. location to store the DND protocol in. Finds the destination window and DND protocol to use at the given pointer position.

  This function is called by the drag source to obtain the dest_window and protocol parameters for .

- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` a a window which may be at the pointer position, but should be ignored, since it is put up by the drag source as an icon. the screen where the destination window is sought. the x position of the pointer in root coordinates. the y position of the pointer in root coordinates. location to store the destination window in. location to store the DND protocol in. Finds the destination window and DND protocol to use at the given pointer position. This function is called by the drag source to obtain the dest_window and protocol parameters for .
- Method
  2.12.0.0
  System.UInt32 `` `` the X id of the destination window. location where the supported DND protocol is returned. Finds out the DND protocol supported by a window. the X id of the window where the drop should happen. This may be xid or the X id of a proxy window, or None if xid doesn't support Drag and Drop. To be added
- Method
  2.12.0.0
  System.UInt32 `` `` `` the where the destination window resides. the X id of the destination window. location where the supported DND protocol is returned. Finds out the DND protocol supported by a window. the X id of the window where the drop should happen. This may be xid or the X id of a proxy window, or None if xid doesn't support Drag and Drop. To be added
- Method
  2.12.0.0
  Gdk.Atom `` a Returns the selection atom for the current source window. the selection atom. To be added
- Method
  2.12.0.0
  System.Boolean `` `` `` `` `` `` `` `` a the new destination window, obtained by . the DND protocol in use, obtained by . the x position of the pointer in root coordinates. the y position of the pointer in root coordinates. the suggested action. the possible actions. the timestamp for this operation. Updates the drag context when the pointer moves or the set of actions changes. a This function is called by the drag source.
- Method
  2.12.0.0
  System.Void `` `` `` a the selected action which will be taken when a drop happens, or 0 to indicate that a drop will not be accepted. the timestamp for this operation. Selects one of the actions offered by the drag source. This function is called by the drag destination in response to called by the drag source.